﻿@model IEnumerable<ADS.Core.Model.Modelo>

@{
    ViewBag.Title = "Listar Modelos";
}

<h2>Listar</h2>

<table class="table table-striped">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Fabricante)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Nome)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Fabricante.Nome)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Nome)
        </td>
        <td>
            @Html.ActionLink(" ", "Alterar", new { id=item.ModeloId }, new { @class = "glyphicon glyphicon-pencil btn btn-primary btn btn-xs" }) 
            @Html.ActionLink(" ", "Remover", new { id=item.ModeloId }, new { @class = "glyphicon glyphicon-remove btn btn-danger btn btn-xs" , onclick="return confirm('Deseja remover este item?')"})
        </td>
    </tr>
}
</table>

@RenderPage("~/Views/Modelo/_PaginacaoModelo.cshtml")
